<?php

class WP_REST_Custom_Items {
	
	public static function init() {

		add_action('rest_api_init', array(__CLASS__, 'register_end_points' ) );

	}


	function register_end_points() {

		register_rest_route(
			'my-plugin/v1',
			'/items',
			array(
				array(
					'methods'             => WP_REST_Server::READABLE,
					'callback'            => array( __CLASS__, 'get_items' ),
					'permission_callback' => array( __CLASS__, 'get_items_permissions_check' ),
					// 'args'                => $this->get_collection_params(),
				),
				array(
					'methods'             => WP_REST_Server::CREATABLE,
					'callback'            => array( __CLASS__, 'create_item' ),
					// 'permission_callback' => array( $this, 'create_item_permissions_check' ),
					// 'args'                => $this->get_endpoint_args_for_item_schema( WP_REST_Server::CREATABLE ),
				),
				// 'schema' => array( $this, 'get_public_item_schema' ),
			)
		);

	}


	function get_items( $request ) {
		global $wpdb;

		$results = $wpdb->get_results('SELECT * FROM wp_api_example');

		if( empty( $results ) ) {
			return new WP_Error('empty', 'Resultado vazio', array('status' => 404 ) );
		}

		$response = new WP_REST_Response( $results );
		$response->set_status(200);

		return $response;
	}

	function get_items_permissions_check( $request ) {

		/// sua logica
		return true;

	}


	function create_item( $request ) {

		global $wpdb;

		$sql = "INSERT INTO wp_api_example (`name`, `status`)";
		$sql .= " VALUES( %s, %s )";

		$wpdb->query(
			$wpdb->prepare( $sql, $request['name'], $request['status'] )
		);

		$last_id = $wpdb->insert_id;

		$response = new WP_REST_Response( array( 'id' => $last_id ) );
		$response->set_status(200);

		return $response;

	}
}

WP_REST_Custom_Items::init();




















