<?php

/**
 * Registers the `ordem` post type.
 */
function ordem_init() {
	register_post_type( 'ordem', array(
		'labels'                => array(
			'name'                  => __( 'Ordem Servicos', 'orderm-servico' ),
			'singular_name'         => __( 'Ordem Servicos', 'orderm-servico' ),
			'all_items'             => __( 'All Ordem Servicos', 'orderm-servico' ),
			'archives'              => __( 'Ordem Servicos Archives', 'orderm-servico' ),
			'attributes'            => __( 'Ordem Servicos Attributes', 'orderm-servico' ),
			'insert_into_item'      => __( 'Insert into Ordem Servicos', 'orderm-servico' ),
			'uploaded_to_this_item' => __( 'Uploaded to this Ordem Servicos', 'orderm-servico' ),
			'featured_image'        => _x( 'Featured Image', 'ordem', 'orderm-servico' ),
			'set_featured_image'    => _x( 'Set featured image', 'ordem', 'orderm-servico' ),
			'remove_featured_image' => _x( 'Remove featured image', 'ordem', 'orderm-servico' ),
			'use_featured_image'    => _x( 'Use as featured image', 'ordem', 'orderm-servico' ),
			'filter_items_list'     => __( 'Filter Ordem Servicos list', 'orderm-servico' ),
			'items_list_navigation' => __( 'Ordem Servicos list navigation', 'orderm-servico' ),
			'items_list'            => __( 'Ordem Servicos list', 'orderm-servico' ),
			'new_item'              => __( 'New Ordem Servicos', 'orderm-servico' ),
			'add_new'               => __( 'Add New', 'orderm-servico' ),
			'add_new_item'          => __( 'Add New Ordem Servicos', 'orderm-servico' ),
			'edit_item'             => __( 'Edit Ordem Servicos', 'orderm-servico' ),
			'view_item'             => __( 'View Ordem Servicos', 'orderm-servico' ),
			'view_items'            => __( 'View Ordem Servicos', 'orderm-servico' ),
			'search_items'          => __( 'Search Ordem Servicos', 'orderm-servico' ),
			'not_found'             => __( 'No Ordem Servicos found', 'orderm-servico' ),
			'not_found_in_trash'    => __( 'No Ordem Servicos found in trash', 'orderm-servico' ),
			'parent_item_colon'     => __( 'Parent Ordem Servicos:', 'orderm-servico' ),
			'menu_name'             => __( 'Ordem Servicos', 'orderm-servico' ),
		),
		'public'                => true,
		'hierarchical'          => false,
		'show_ui'               => true,
		'show_in_nav_menus'     => true,
		'supports'              => array( 'title', 'editor', 'custom-fields' ),
		'has_archive'           => true,
		'rewrite'               => true,
		'query_var'             => true,
		'menu_position'         => null,
		'menu_icon'             => 'dashicons-admin-post',
		'show_in_rest'          => true,
		'rest_base'             => 'ordem',
		'rest_controller_class' => 'WP_REST_Ordem_Controller',
	) );

}
add_action( 'init', 'ordem_init' );

/**
 * Sets the post updated messages for the `ordem` post type.
 *
 * @param  array $messages Post updated messages.
 * @return array Messages for the `ordem` post type.
 */
function ordem_updated_messages( $messages ) {
	global $post;

	$permalink = get_permalink( $post );

	$messages['ordem'] = array(
		0  => '', // Unused. Messages start at index 1.
		/* translators: %s: post permalink */
		1  => sprintf( __( 'Ordem Servicos updated. <a target="_blank" href="%s">View Ordem Servicos</a>', 'orderm-servico' ), esc_url( $permalink ) ),
		2  => __( 'Custom field updated.', 'orderm-servico' ),
		3  => __( 'Custom field deleted.', 'orderm-servico' ),
		4  => __( 'Ordem Servicos updated.', 'orderm-servico' ),
		/* translators: %s: date and time of the revision */
		5  => isset( $_GET['revision'] ) ? sprintf( __( 'Ordem Servicos restored to revision from %s', 'orderm-servico' ), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		/* translators: %s: post permalink */
		6  => sprintf( __( 'Ordem Servicos published. <a href="%s">View Ordem Servicos</a>', 'orderm-servico' ), esc_url( $permalink ) ),
		7  => __( 'Ordem Servicos saved.', 'orderm-servico' ),
		/* translators: %s: post permalink */
		8  => sprintf( __( 'Ordem Servicos submitted. <a target="_blank" href="%s">Preview Ordem Servicos</a>', 'orderm-servico' ), esc_url( add_query_arg( 'preview', 'true', $permalink ) ) ),
		/* translators: 1: Publish box date format, see https://secure.php.net/date 2: Post permalink */
		9  => sprintf( __( 'Ordem Servicos scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview Ordem Servicos</a>', 'orderm-servico' ),
		date_i18n( __( 'M j, Y @ G:i', 'orderm-servico' ), strtotime( $post->post_date ) ), esc_url( $permalink ) ),
		/* translators: %s: post permalink */
		10 => sprintf( __( 'Ordem Servicos draft updated. <a target="_blank" href="%s">Preview Ordem Servicos</a>', 'orderm-servico' ), esc_url( add_query_arg( 'preview', 'true', $permalink ) ) ),
	);

	return $messages;
}
add_filter( 'post_updated_messages', 'ordem_updated_messages' );

$meta_args = array(
    'type'         => 'string',
    'description'  => 'A meta key associated with a string meta value.',
    'single'       => true,
    'show_in_rest' => true,
);
register_post_meta( 'ordem', 'cliente', $meta_args );














